List<Map<String, dynamic>> detailOkuriganaList = [
  {
    "judul": "通",
    "nama": "Lalu lintas",
    "kunyomi": ["とお", "かよ"],
    "onyomi": ["つう"],
    "kanjiGabungan": [
      {"kanji": "通う", "furigana": "かよう", "arti": "Pulang pergi"},
      {"kanji": "交通", "furigana": "こうつう", "arti": "Lalu lintas"},
      {"kanji": "通学", "furigana": "つうがく", "arti": "Pergi ke sekolah"},
      {"kanji": "通信", "furigana": "つうしん", "arti": "Komunikasi"}
    ]
  },
  {
    "judul": "降",
    "nama": "Turun (Salju/Hujan)",
    "kunyomi": ["お", "ふ"],
    "onyomi": ["こう"],
    "kanjiGabungan": [
      {"kanji": "降雪", "furigana": "こうせつ", "arti": "Turun salju"},
      {"kanji": "降雨", "furigana": "こうう", "arti": "Turun hujan"},
      {"kanji": "降車", "furigana": "こうしゃ", "arti": "Turun (kendaraan)"},
      {"kanji": "降下", "furigana": "こうか", "arti": "Turun ke bawah"}
    ]
  },
  {
    "judul": "着",
    "nama": "Memakai",
    "kunyomi": ["き", "つ"],
    "onyomi": ["ちゃく"],
    "kanjiGabungan": [
      {"kanji": "着物", "furigana": "きもの", "arti": "Kimono"},
      {"kanji": "到着", "furigana": "とうちゃく", "arti": "Kedatangan"},
      {"kanji": "着陸", "furigana": "ちゃくりく", "arti": "Pendaratan"},
      {"kanji": "着用", "furigana": "ちゃくよう", "arti": "Pemakaian"}
    ]
  },
  {
    "judul": "動",
    "nama": "Bergerak",
    "kunyomi": ["うご"],
    "onyomi": ["どう"],
    "kanjiGabungan": [
      {"kanji": "活動", "furigana": "かつどう", "arti": "Aktivitas"},
      {"kanji": "運動", "furigana": "うんどう", "arti": "Olahraga, Gerakan"},
      {"kanji": "動物", "furigana": "どうぶつ", "arti": "Hewan"},
      {"kanji": "動作", "furigana": "どうさ", "arti": "Gerakan, Aksi"}
    ]
  },
  {
    "judul": "建",
    "nama": "Membangun",
    "kunyomi": ["た", "けん"],
    "onyomi": ["けん", "こん"],
    "kanjiGabungan": [
      {"kanji": "建物", "furigana": "たてもの", "arti": "Bangunan"},
      {"kanji": "建築", "furigana": "けんちく", "arti": "Arsitektur"},
      {"kanji": "建設", "furigana": "けんせつ", "arti": "Konstruksi"},
      {"kanji": "建国", "furigana": "けんこく", "arti": "Pendirian negara"}
    ]
  },
  {
    "judul": "同",
    "nama": "Sama",
    "kunyomi": ["おな"],
    "onyomi": ["どう"],
    "kanjiGabungan": [
      {"kanji": "同時", "furigana": "どうじ", "arti": "Pada waktu yang sama"},
      {"kanji": "同意", "furigana": "どうい", "arti": "Persetujuan"},
      {"kanji": "同情", "furigana": "どうじょう", "arti": "Simpati"},
      {"kanji": "同級生", "furigana": "どうきゅうせい", "arti": "Teman sekelas"}
    ]
  },
  {
    "judul": "回",
    "nama": "Berputar",
    "kunyomi": ["まわ"],
    "onyomi": ["かい"],
    "kanjiGabungan": [
      {"kanji": "回転", "furigana": "かいてん", "arti": "Berputar"},
      {"kanji": "回数", "furigana": "かいすう", "arti": "Frekuensi, Jumlah kali"},
      {"kanji": "回復", "furigana": "かいふく", "arti": "Pemulihan"},
      {"kanji": "回想", "furigana": "かいそう", "arti": "Mengingat kembali"}
    ]
  },
  {
    "judul": "作",
    "nama": "Membuat",
    "kunyomi": ["つく"],
    "onyomi": ["さく", "さ"],
    "kanjiGabungan": [
      {"kanji": "作品", "furigana": "さくひん", "arti": "Karya, Hasil karya"},
      {"kanji": "作業", "furigana": "さぎょう", "arti": "Pekerjaan"},
      {"kanji": "作家", "furigana": "さっか", "arti": "Penulis, Sastrawan"},
      {"kanji": "作成", "furigana": "さくせい", "arti": "Pembuatan, Penyusunan"}
    ]
  },
  {
    "judul": "使",
    "nama": "Menggunakan",
    "kunyomi": ["つか"],
    "onyomi": ["し"],
    "kanjiGabungan": [
      {"kanji": "使用", "furigana": "しよう", "arti": "Penggunaan"},
      {"kanji": "使者", "furigana": "ししゃ", "arti": "Utusan"},
      {"kanji": "使役", "furigana": "しえき", "arti": "Menugaskan seseorang"},
      {"kanji": "使い道", "furigana": "つかいみち", "arti": "Cara penggunaan"}
    ]
  },
  {
    "judul": "低",
    "nama": "Rendah",
    "kunyomi": ["ひく"],
    "onyomi": ["てい"],
    "kanjiGabungan": [
      {"kanji": "低下", "furigana": "ていか", "arti": "Penurunan"},
      {"kanji": "最低", "furigana": "さいてい", "arti": "Paling rendah"},
      {"kanji": "低温", "furigana": "ていおん", "arti": "Suhu rendah"},
      {"kanji": "低地", "furigana": "ていち", "arti": "Dataran rendah"}
    ]
  },
  {
    "judul": "短",
    "nama": "Pendek",
    "kunyomi": ["みじか"],
    "onyomi": ["たん"],
    "kanjiGabungan": [
      {"kanji": "短縮", "furigana": "たんしゅく", "arti": "Pemendekan"},
      {"kanji": "短期", "furigana": "たんき", "arti": "Jangka pendek"},
      {"kanji": "短時間", "furigana": "たんじかん", "arti": "Waktu singkat"},
      {"kanji": "短所", "furigana": "たんしょ", "arti": "Kelemahan"}
    ]
  },
  {
    "judul": "近",
    "nama": "Dekat",
    "kunyomi": ["ちか"],
    "onyomi": ["きん"],
    "kanjiGabungan": [
      {"kanji": "近所", "furigana": "きんじょ", "arti": "Lingkungan sekitar"},
      {"kanji": "最近", "furigana": "さいきん", "arti": "Belakangan ini"},
      {"kanji": "接近", "furigana": "せっきん", "arti": "Pendekatan"},
      {"kanji": "近代", "furigana": "きんだい", "arti": "Zaman modern"}
    ]
  },
  {
    "judul": "遠",
    "nama": "Jauh",
    "kunyomi": ["とお"],
    "onyomi": ["えん"],
    "kanjiGabungan": [
      {"kanji": "遠足", "furigana": "えんそく", "arti": "Piknik"},
      {"kanji": "遠方", "furigana": "えんぽう", "arti": "Tempat yang jauh"},
      {"kanji": "遠距離", "furigana": "えんきょり", "arti": "Jarak jauh"},
      {"kanji": "遠視", "furigana": "えんし", "arti": "Rabun jauh"}
    ]
  },
  {
    "judul": "弱",
    "nama": "Lemah",
    "kunyomi": ["よわ"],
    "onyomi": ["じゃく"],
    "kanjiGabungan": [
      {"kanji": "弱点", "furigana": "じゃくてん", "arti": "Titik lemah"},
      {"kanji": "弱気", "furigana": "よわき", "arti": "Kurang percaya diri"},
      {"kanji": "弱音", "furigana": "よわね", "arti": "Keluhan"},
      {"kanji": "弱体", "furigana": "じゃくたい", "arti": "Lemah secara fisik"}
    ]
  },
  {
    "judul": "強",
    "nama": "Kuat",
    "kunyomi": ["つよ"],
    "onyomi": ["きょう", "ごう"],
    "kanjiGabungan": [
      {"kanji": "強力", "furigana": "きょうりょく", "arti": "Kekuatan besar"},
      {"kanji": "勉強", "furigana": "べんきょう", "arti": "Belajar"},
      {"kanji": "強風", "furigana": "きょうふう", "arti": "Angin kencang"},
      {"kanji": "強制", "furigana": "きょうせい", "arti": "Paksaan"}
    ]
  },
  {
    "judul": "暗",
    "nama": "Gelap",
    "kunyomi": ["くら"],
    "onyomi": ["あん"],
    "kanjiGabungan": [
      {"kanji": "暗黒", "furigana": "あんこく", "arti": "Kegelapan"},
      {"kanji": "暗示", "furigana": "あんじ", "arti": "Petunjuk tersembunyi"},
      {"kanji": "暗記", "furigana": "あんき", "arti": "Menghafal"},
      {"kanji": "暗殺", "furigana": "あんさつ", "arti": "Pembunuhan diam-diam"}
    ]
  },
  {
    "judul": "明",
    "nama": "Terang",
    "kunyomi": ["あか", "あき"],
    "onyomi": ["めい", "みょう"],
    "kanjiGabungan": [
      {"kanji": "明日", "furigana": "あした", "arti": "Besok"},
      {"kanji": "明白", "furigana": "めいはく", "arti": "Jelas, Nyata"},
      {"kanji": "明確", "furigana": "めいかく", "arti": "Tegas, Jelas"},
      {"kanji": "説明", "furigana": "せつめい", "arti": "Penjelasan"}
    ]
  },
  {
    "judul": "悪",
    "nama": "Buruk",
    "kunyomi": ["わる"],
    "onyomi": ["あく", "お"],
    "kanjiGabungan": [
      {"kanji": "悪人", "furigana": "あくにん", "arti": "Orang jahat"},
      {"kanji": "最悪", "furigana": "さいあく", "arti": "Paling buruk"},
      {"kanji": "悪化", "furigana": "あっか", "arti": "Memburuk"},
      {"kanji": "悪意", "furigana": "あくい", "arti": "Niat jahat"}
    ]
  },
  {
    "judul": "写",
    "nama": "Menyalin",
    "kunyomi": ["うつ"],
    "onyomi": ["しゃ"],
    "kanjiGabungan": [
      {"kanji": "写真", "furigana": "しゃしん", "arti": "Foto"},
      {"kanji": "写す", "furigana": "うつす", "arti": "Menyalin, Memotret"},
      {
        "kanji": "写る",
        "furigana": "うつる",
        "arti": "Tercetak, Tertangkap (kamera)"
      },
      {"kanji": "写実", "furigana": "しゃじつ", "arti": "Realistis"}
    ]
  },
  {
    "judul": "飯",
    "nama": "Nasi",
    "kunyomi": ["めし"],
    "onyomi": ["はん"],
    "kanjiGabungan": [
      {"kanji": "ご飯", "furigana": "ごはん", "arti": "Nasi, Makanan"},
      {"kanji": "朝飯", "furigana": "あさめし", "arti": "Sarapan"},
      {"kanji": "昼飯", "furigana": "ひるめし", "arti": "Makan siang"},
      {"kanji": "晩飯", "furigana": "ばんめし", "arti": "Makan malam"}
    ]
  },
  {
    "judul": "転",
    "nama": "Terguling",
    "kunyomi": ["ころ"],
    "onyomi": ["てん"],
    "kanjiGabungan": [
      {"kanji": "自転車", "furigana": "じてんしゃ", "arti": "Sepeda"},
      {"kanji": "転職", "furigana": "てんしょく", "arti": "Pindah Pekerjaan"},
      {"kanji": "転がる", "furigana": "ころがる", "arti": "Berguling"},
      {"kanji": "回転", "furigana": "かいてん", "arti": "Rotasi"}
    ]
  },
  {
    "judul": "洗",
    "nama": "Mencuci",
    "kunyomi": ["あら"],
    "onyomi": ["せん"],
    "kanjiGabungan": [
      {"kanji": "洗う", "furigana": "あらう", "arti": "Mencuci"},
      {"kanji": "洗濯", "furigana": "せんたく", "arti": "Cuci Pakaian"},
      {"kanji": "洗面所", "furigana": "せんめんじょ", "arti": "Tempat Cuci Muka"},
      {"kanji": "洗礼", "furigana": "せんれい", "arti": "Pembaptisan"}
    ]
  },
  {
    "judul": "計",
    "nama": "Mengukur",
    "kunyomi": ["はか"],
    "onyomi": ["けい"],
    "kanjiGabungan": [
      {"kanji": "計る", "furigana": "はかる", "arti": "Mengukur"},
      {"kanji": "時計", "furigana": "とけい", "arti": "Jam"},
      {"kanji": "計算", "furigana": "けいさん", "arti": "Perhitungan"},
      {"kanji": "設計", "furigana": "せっけい", "arti": "Desain / Rancangan"}
    ]
  },
  {
    "judul": "図",
    "nama": "Rencana",
    "kunyomi": ["はか"],
    "onyomi": ["ず", "と"],
    "kanjiGabungan": [
      {"kanji": "図る", "furigana": "はかる", "arti": "Rencana"},
      {"kanji": "地図", "furigana": "ちず", "arti": "Peta"},
      {"kanji": "図書館", "furigana": "としょかん", "arti": "Perpustakaan"},
      {"kanji": "図面", "furigana": "ずめん", "arti": "Denah"}
    ]
  },
  {
    "judul": "仕",
    "nama": "Mengabdi",
    "kunyomi": ["つか"],
    "onyomi": ["し"],
    "kanjiGabungan": [
      {"kanji": "仕える", "furigana": "つかえる", "arti": "Mengabdi"},
      {"kanji": "仕事", "furigana": "しごと", "arti": "Pekerjaan"},
      {"kanji": "仕組み", "furigana": "しくみ", "arti": "Struktur / Mekanisme"},
      {"kanji": "仕方", "furigana": "しかた", "arti": "Cara / Metode"}
    ]
  },
];
