List<Map<String, dynamic>> detailTandokuList = [
  {
    "judul": "物",
    "nama": "Barang, Benda",
    "kunyomi": ["もの"],
    "onyomi": ["ぶつ", "もつ"],
    "kanjiGabungan": [
      {"kanji": "動物", "furigana": "どうぶつ", "arti": "Hewan"},
      {"kanji": "食物", "furigana": "しょくもつ", "arti": "Makanan"},
      {"kanji": "物語", "furigana": "ものがたり", "arti": "Cerita, Kisah"},
      {"kanji": "買い物", "furigana": "かいもの", "arti": "Belanja"}
    ]
  },
  {
    "judul": "品",
    "nama": "Barang, Produk",
    "kunyomi": ["しな"],
    "onyomi": ["ひん"],
    "kanjiGabungan": [
      {"kanji": "商品", "furigana": "しょうひん", "arti": "Produk, Barang dagangan"},
      {"kanji": "作品", "furigana": "さくひん", "arti": "Karya, Produk seni"},
      {"kanji": "食品", "furigana": "しょくひん", "arti": "Makanan (Produk pangan)"},
      {"kanji": "品物", "furigana": "しなもの", "arti": "Barang"}
    ]
  },
  {
    "judul": "夜",
    "nama": "Malam",
    "kunyomi": ["よ", "よる"],
    "onyomi": ["や"],
    "kanjiGabungan": [
      {"kanji": "夜空", "furigana": "よぞら", "arti": "Langit malam"},
      {"kanji": "夜明け", "furigana": "よあけ", "arti": "Fajar, Matahari terbit"},
      {"kanji": "深夜", "furigana": "しんや", "arti": "Tengah malam"},
      {"kanji": "夜中", "furigana": "よなか", "arti": "Tengah malam"}
    ]
  },
  {
    "judul": "旅",
    "nama": "Perjalanan",
    "kunyomi": ["たび"],
    "onyomi": ["りょ"],
    "kanjiGabungan": [
      {"kanji": "旅行", "furigana": "りょこう", "arti": "Perjalanan, Travelling"},
      {"kanji": "旅館", "furigana": "りょかん", "arti": "Penginapan Jepang"},
      {"kanji": "旅人", "furigana": "たびびと", "arti": "Pelancong, Pengembara"},
      {"kanji": "旅立つ", "furigana": "たびだつ", "arti": "Dalam perjalanan"}
    ]
  },
  {
    "judul": "夕",
    "nama": "Sore",
    "kunyomi": ["ゆう"],
    "onyomi": ["せき"],
    "kanjiGabungan": [
      {"kanji": "夕", "furigana": "ゆう", "arti": "Sore"},
      {"kanji": "夕食", "furigana": "ゆうしょく", "arti": "Makan malam"},
      {"kanji": "夕日", "furigana": "ゆうひ", "arti": "Matahari sore"},
      {"kanji": "夕暮れ", "furigana": "ゆうぐれ", "arti": "Senja"}
    ]
  },
  {
    "judul": "主",
    "nama": "Utama",
    "kunyomi": ["ぬし", "あるじ"],
    "onyomi": ["しゅ", "す"],
    "kanjiGabungan": [
      {"kanji": "主", "furigana": "おも", "arti": "Utama"},
      {"kanji": "主人", "furigana": "しゅじん", "arti": "Suami, Tuan rumah"},
      {"kanji": "主食", "furigana": "しゅしょく", "arti": "Makanan pokok"},
      {"kanji": "主題", "furigana": "しゅだい", "arti": "Tema utama"}
    ]
  },
  {
    "judul": "歌",
    "nama": "Bernyanyi",
    "kunyomi": ["うた", "うたう"],
    "onyomi": ["か"],
    "kanjiGabungan": [
      {"kanji": "歌", "furigana": "うた", "arti": "Lagu"},
      {"kanji": "歌手", "furigana": "かしゅ", "arti": "Penyanyi"},
      {"kanji": "国歌", "furigana": "こっか", "arti": "Lagu Kebangsaan"},
      {"kanji": "歌詞", "furigana": "かし", "arti": "Lirik Lagu"}
    ]
  },
  {
    "judul": "家",
    "nama": "Rumah",
    "kunyomi": ["いえ", "や"],
    "onyomi": ["か", "け"],
    "kanjiGabungan": [
      {"kanji": "家", "furigana": "いえ", "arti": "Rumah"},
      {"kanji": "家具", "furigana": "かぐ", "arti": "Perabot Rumah"},
      {"kanji": "家賃", "furigana": "やちん", "arti": "Sewa Rumah"},
      {"kanji": "画家", "furigana": "がか", "arti": "Pelukis"}
    ]
  },
  {
    "judul": "町",
    "nama": "Kota",
    "kunyomi": ["まち"],
    "onyomi": ["ちょう"],
    "kanjiGabungan": [
      {"kanji": "町", "furigana": "まち", "arti": "Kota"},
      {"kanji": "下町", "furigana": "したまち", "arti": "Kota Tua"},
      {"kanji": "町内", "furigana": "ちょうない", "arti": "Dalam Kota"},
      {"kanji": "町民", "furigana": "ちょうみん", "arti": "Penduduk Kota"}
    ]
  },
  {
    "judul": "冬",
    "nama": "Musim Dingin",
    "kunyomi": ["ふゆ"],
    "onyomi": ["とう"],
    "kanjiGabungan": [
      {"kanji": "冬", "furigana": "ふゆ", "arti": "Musim Dingin"},
      {"kanji": "冬眠", "furigana": "とうみん", "arti": "Hibernasi"},
      {"kanji": "冬季", "furigana": "とうき", "arti": "Musim Dingin"},
      {"kanji": "真冬", "furigana": "まふゆ", "arti": "Puncak Musim Dingin"}
    ]
  },
  {
    "judul": "秋",
    "nama": "Musim Gugur",
    "kunyomi": ["あき"],
    "onyomi": ["しゅう"],
    "kanjiGabungan": [
      {"kanji": "秋", "furigana": "あき", "arti": "Musim Gugur"},
      {"kanji": "秋分", "furigana": "しゅうぶん", "arti": "Titik Balik Musim Gugur"},
      {"kanji": "初秋", "furigana": "しょしゅう", "arti": "Awal Musim Gugur"},
      {"kanji": "晩秋", "furigana": "ばんしゅう", "arti": "Akhir Musim Gugur"}
    ]
  },
  {
    "judul": "夏",
    "nama": "Musim Panas",
    "kunyomi": ["なつ"],
    "onyomi": ["か", "げ"],
    "kanjiGabungan": [
      {"kanji": "夏", "furigana": "なつ", "arti": "Musim Panas"},
      {"kanji": "真夏", "furigana": "まなつ", "arti": "Puncak Musim Panas"},
      {"kanji": "初夏", "furigana": "しょか", "arti": "Awal Musim Panas"},
      {"kanji": "冷夏", "furigana": "れいか", "arti": "Musim Panas Dingin"}
    ]
  },
  {
    "judul": "春",
    "nama": "Musim Semi",
    "kunyomi": ["はる"],
    "onyomi": ["しゅん"],
    "kanjiGabungan": [
      {"kanji": "春", "furigana": "はる", "arti": "Musim Semi"},
      {"kanji": "春休み", "furigana": "はるやすみ", "arti": "Liburan Musim Semi"},
      {"kanji": "青春", "furigana": "せいしゅん", "arti": "Masa Muda"},
      {"kanji": "立春", "furigana": "りっしゅん", "arti": "Awal Musim Semi"}
    ]
  },
  {
    "judul": "昼",
    "nama": "Siang",
    "kunyomi": ["ひる"],
    "onyomi": ["ちゅう"],
    "kanjiGabungan": [
      {"kanji": "昼", "furigana": "ひる", "arti": "Siang"},
      {"kanji": "昼ご飯", "furigana": "ひるごはん", "arti": "Makan Siang"},
      {"kanji": "昼寝", "furigana": "ひるね", "arti": "Tidur Siang"},
      {"kanji": "昼食", "furigana": "ちゅうしょく", "arti": "Makan Siang"}
    ]
  },
  {
    "judul": "朝",
    "nama": "Pagi",
    "kunyomi": ["あさ"],
    "onyomi": ["ちょう"],
    "kanjiGabungan": [
      {"kanji": "朝", "furigana": "あさ", "arti": "Pagi"},
      {"kanji": "朝ご飯", "furigana": "あさごはん", "arti": "Sarapan"},
      {"kanji": "今朝", "furigana": "けさ", "arti": "Pagi ini"},
      {"kanji": "朝食", "furigana": "ちょうしょく", "arti": "Makan Pagi"}
    ]
  },
  {
    "judul": "市",
    "nama": "Pasar",
    "kunyomi": ["いち"],
    "onyomi": ["し"],
    "kanjiGabungan": [
      {"kanji": "市", "furigana": "いち", "arti": "Pasar"},
      {"kanji": "市長", "furigana": "しちょう", "arti": "Walikota"},
      {"kanji": "都市", "furigana": "とし", "arti": "Kota"},
      {"kanji": "市民", "furigana": "しみん", "arti": "Warga Kota"}
    ]
  },
  {
    "judul": "菜",
    "nama": "Sayur",
    "kunyomi": ["な"],
    "onyomi": ["さい"],
    "kanjiGabungan": [
      {"kanji": "菜", "furigana": "な", "arti": "Sayuran"},
      {"kanji": "野菜", "furigana": "やさい", "arti": "Sayuran"},
      {"kanji": "菜園", "furigana": "さいえん", "arti": "Kebun Sayur"},
      {"kanji": "青菜", "furigana": "あおな", "arti": "Sayur Hijau"}
    ]
  },
  {
    "judul": "野",
    "nama": "Lapangan",
    "kunyomi": ["の"],
    "onyomi": ["や"],
    "kanjiGabungan": [
      {"kanji": "野", "furigana": "の", "arti": "Lapangan"},
      {"kanji": "野菜", "furigana": "やさい", "arti": "Sayuran"},
      {"kanji": "野球", "furigana": "やきゅう", "arti": "Baseball"},
      {"kanji": "野原", "furigana": "のはら", "arti": "Padang Rumput"}
    ]
  },
  {
    "judul": "米",
    "nama": "Beras",
    "kunyomi": ["こめ"],
    "onyomi": ["べい", "まい"],
    "kanjiGabungan": [
      {"kanji": "米", "furigana": "こめ", "arti": "Beras"},
      {"kanji": "米国", "furigana": "べいこく", "arti": "Amerika Serikat"},
      {"kanji": "新米", "furigana": "しんまい", "arti": "Beras Baru / Pemula"},
      {"kanji": "玄米", "furigana": "げんまい", "arti": "Beras Coklat"}
    ]
  },
  {
    "judul": "酒",
    "nama": "Sake",
    "kunyomi": ["さけ", "さか"],
    "onyomi": ["しゅ"],
    "kanjiGabungan": [
      {"kanji": "酒", "furigana": "さけ", "arti": "Sake"},
      {"kanji": "日本酒", "furigana": "にほんしゅ", "arti": "Sake Jepang"},
      {"kanji": "飲酒", "furigana": "いんしゅ", "arti": "Minum Alkohol"},
      {"kanji": "酒場", "furigana": "さかば", "arti": "Bar / Tempat Minum"}
    ]
  },
  {
    "judul": "肉",
    "nama": "Daging",
    "kunyomi": [],
    "onyomi": ["にく"],
    "kanjiGabungan": [
      {"kanji": "肉", "furigana": "にく", "arti": "Daging"},
      {"kanji": "牛肉", "furigana": "ぎゅうにく", "arti": "Daging Sapi"},
      {"kanji": "鶏肉", "furigana": "とりにく", "arti": "Daging Ayam"},
      {"kanji": "肉体", "furigana": "にくたい", "arti": "Tubuh"}
    ]
  },
  {
    "judul": "味",
    "nama": "Rasa",
    "kunyomi": ["あじ"],
    "onyomi": ["み"],
    "kanjiGabungan": [
      {"kanji": "味", "furigana": "あじ", "arti": "Rasa"},
      {"kanji": "意味", "furigana": "いみ", "arti": "Makna / Arti"},
      {"kanji": "趣味", "furigana": "しゅみ", "arti": "Hobi"},
      {"kanji": "味覚", "furigana": "みかく", "arti": "Indra Perasa"}
    ]
  },
  {
    "judul": "事",
    "nama": "Hal",
    "kunyomi": ["こと"],
    "onyomi": ["じ"],
    "kanjiGabungan": [
      {"kanji": "事", "furigana": "こと", "arti": "Hal / Perkara"},
      {"kanji": "食事", "furigana": "しょくじ", "arti": "Makan"},
      {"kanji": "大事", "furigana": "だいじ", "arti": "Penting"},
      {"kanji": "出来事", "furigana": "できごと", "arti": "Kejadian"}
    ]
  }
];
