final List<Map<String, dynamic>> detailOkuriganaList = [
  {
    "judul": "食",
    "nama": "Makan",
    "kunyomi": ["たべる"],
    "onyomi": ["しょく"],
    "kanjiGabungan": [
      {"kanji": "食事", "furigana": "しょくじ", "arti": "Makanan"},
      {"kanji": "朝食", "furigana": "ちょうしょく", "arti": "Sarapan"},
      {"kanji": "昼食", "furigana": "ちゅうしょく", "arti": "Makan Siang"},
      {"kanji": "夕食", "furigana": "ゆうしょく", "arti": "Makan Malam"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "見",
    "nama": "Lihat",
    "kunyomi": ["みる"],
    "onyomi": ["けん"],
    "kanjiGabungan": [
      {"kanji": "見学", "furigana": "けんがく", "arti": "Kunjungan Studi"},
      {"kanji": "見物", "furigana": "けんぶつ", "arti": "Tamasya"},
      {"kanji": "意見", "furigana": "いけん", "arti": "Pendapat"},
      {"kanji": "見解", "furigana": "けんかい", "arti": "Pandangan"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "聞",
    "nama": "Dengar",
    "kunyomi": ["きく"],
    "onyomi": ["ぶん", "もん"],
    "kanjiGabungan": [
      {"kanji": "新聞", "furigana": "しんぶん", "arti": "Surat Kabar"},
      {"kanji": "聞き手", "furigana": "ききて", "arti": "Pendengar"},
      {"kanji": "新聞", "furigana": "しんぶん", "arti": "Koran"},
      {"kanji": "聞こえる", "furigana": "きこえる", "arti": "Terdengar"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "話",
    "nama": "Bicara",
    "kunyomi": ["はなす"],
    "onyomi": ["わ"],
    "kanjiGabungan": [
      {"kanji": "会話", "furigana": "かいわ", "arti": "Percakapan"},
      {"kanji": "話題", "furigana": "わだい", "arti": "Topik"},
      {"kanji": "物語", "furigana": "ものがたり", "arti": "Cerita"},
      {"kanji": "電話", "furigana": "でんわ", "arti": "Telepon"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "書",
    "nama": "Tulis",
    "kunyomi": ["かく"],
    "onyomi": ["しょ"],
    "kanjiGabungan": [
      {"kanji": "読書", "furigana": "どくしょ", "arti": "Membaca Buku"},
      {"kanji": "書類", "furigana": "しょるい", "arti": "Dokumen"},
      {"kanji": "書店", "furigana": "しょてん", "arti": "Toko Buku"},
      {"kanji": "辞書", "furigana": "じしょ", "arti": "Kamus"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "読",
    "nama": "Baca",
    "kunyomi": ["よむ"],
    "onyomi": ["どく", "とく"],
    "kanjiGabungan": [
      {"kanji": "読書", "furigana": "どくしょ", "arti": "Membaca Buku"},
      {"kanji": "読み方", "furigana": "よみかた", "arti": "Cara membaca"},
      {"kanji": "朗読", "furigana": "ろうどく", "arti": "Membaca Nyaring"},
      {"kanji": "購読", "furigana": "こうどく", "arti": "Langganan Bacaan"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "買",
    "nama": "Beli",
    "kunyomi": ["かう"],
    "onyomi": ["ばい"],
    "kanjiGabungan": [
      {"kanji": "買い物", "furigana": "かいもの", "arti": "Belanja"},
      {"kanji": "買収", "furigana": "ばいしゅう", "arti": "Akuisisi"},
      {"kanji": "買い手", "furigana": "かいて", "arti": "Pembeli"},
      {"kanji": "買い換え", "furigana": "かいかえ", "arti": "Beli Pengganti"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "売",
    "nama": "Jual",
    "kunyomi": ["うる"],
    "onyomi": ["ばい"],
    "kanjiGabungan": [
      {"kanji": "販売", "furigana": "はんばい", "arti": "Penjualan"},
      {"kanji": "売店", "furigana": "ばいてん", "arti": "Kios"},
      {"kanji": "売り切れ", "furigana": "うりきれ", "arti": "Habis Terjual"},
      {"kanji": "売買", "furigana": "ばいばい", "arti": "Jual Beli"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "立",
    "nama": "Berdiri",
    "kunyomi": ["たつ"],
    "onyomi": ["りつ"],
    "kanjiGabungan": [
      {"kanji": "独立", "furigana": "どくりつ", "arti": "Kemerdekaan"},
      {"kanji": "立場", "furigana": "たちば", "arti": "Posisi"},
      {"kanji": "起立", "furigana": "きりつ", "arti": "Berdiri"},
      {"kanji": "立食", "furigana": "りっしょく", "arti": "Makan Berdiri"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "入",
    "nama": "Masuk",
    "kunyomi": ["はいる"],
    "onyomi": ["にゅう"],
    "kanjiGabungan": [
      {"kanji": "入口", "furigana": "いりぐち", "arti": "Pintu Masuk"},
      {"kanji": "入学", "furigana": "にゅうがく", "arti": "Masuk Sekolah"},
      {"kanji": "入社", "furigana": "にゅうしゃ", "arti": "Masuk Perusahaan"},
      {"kanji": "入力", "furigana": "にゅうりょく", "arti": "Masukan (Input)"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "出",
    "nama": "Keluar",
    "kunyomi": ["でる", "だす"],
    "onyomi": ["しゅつ"],
    "kanjiGabungan": [
      {"kanji": "出口", "furigana": "でぐち", "arti": "Pintu Keluar"},
      {"kanji": "出発", "furigana": "しゅっぱつ", "arti": "Keberangkatan"},
      {"kanji": "出版", "furigana": "しゅっぱん", "arti": "Penerbitan"},
      {"kanji": "出席", "furigana": "しゅっせき", "arti": "Kehadiran"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "作",
    "nama": "Buat",
    "kunyomi": ["つくる"],
    "onyomi": ["さく"],
    "kanjiGabungan": [
      {"kanji": "作業", "furigana": "さぎょう", "arti": "Pekerjaan"},
      {"kanji": "作文", "furigana": "さくぶん", "arti": "Karangan"},
      {"kanji": "制作", "furigana": "せいさく", "arti": "Produksi"},
      {"kanji": "作者", "furigana": "さくしゃ", "arti": "Penulis"},
    ],
    "route": "/detail-okurigana",
  },
  {
    "judul": "使",
    "nama": "Gunakan",
    "kunyomi": ["つかう"],
    "onyomi": ["し"],
    "kanjiGabungan": [
      {"kanji": "使い", "furigana": "つかい", "arti": "Penggunaan"},
      {"kanji": "使う", "furigana": "つかう", "arti": "Menggunakan"},
      {"kanji": "使用", "furigana": "しよう", "arti": "Pemakaian"},
      {"kanji": "使者", "furigana": "ししゃ", "arti": "Utusan"},
    ],
  },
  {
    "judul": "教",
    "nama": "Ajarkan",
    "kunyomi": ["おしえる"],
    "onyomi": ["きょう"],
    "kanjiGabungan": [
      {"kanji": "教え", "furigana": "おしえ", "arti": "Ajaran"},
      {"kanji": "教える", "furigana": "おしえる", "arti": "Mengajar"},
      {"kanji": "教師", "furigana": "きょうし", "arti": "Guru"},
      {"kanji": "教育", "furigana": "きょういく", "arti": "Pendidikan"},
    ],
  },
  {
    "judul": "高",
    "nama": "Tinggi",
    "kunyomi": ["たかい"],
    "onyomi": ["こう"],
    "kanjiGabungan": [
      {"kanji": "高い", "furigana": "たかい", "arti": "Tinggi"},
      {"kanji": "高め", "furigana": "たかめ", "arti": "Ketinggian"},
      {"kanji": "高校", "furigana": "こうこう", "arti": "Sekolah Menengah Atas"},
      {"kanji": "高級", "furigana": "こうきゅう", "arti": "Berkelas Tinggi"},
    ],
  },
  {
    "judul": "強",
    "nama": "Kuat",
    "kunyomi": ["つよい"],
    "onyomi": ["きょう"],
    "kanjiGabungan": [
      {"kanji": "強い", "furigana": "つよい", "arti": "Kuat"},
      {"kanji": "強め", "furigana": "つよめ", "arti": "Penguatan"},
      {"kanji": "強力", "furigana": "きょうりょく", "arti": "Kekuatan Besar"},
      {"kanji": "勉強", "furigana": "べんきょう", "arti": "Belajar"},
    ],
  },
  {
    "judul": "新",
    "nama": "Baru",
    "kunyomi": ["あたらしい"],
    "onyomi": ["しん"],
    "kanjiGabungan": [
      {"kanji": "新た", "furigana": "あらた", "arti": "Baru"},
      {"kanji": "新しい", "furigana": "あたらしい", "arti": "Baru"},
      {"kanji": "新年", "furigana": "しんねん", "arti": "Tahun Baru"},
      {"kanji": "新聞", "furigana": "しんぶん", "arti": "Koran"},
    ],
  },
  {
    "judul": "古",
    "nama": "Lama",
    "kunyomi": ["ふるい"],
    "onyomi": ["こ"],
    "kanjiGabungan": [
      {"kanji": "古び", "furigana": "ふるび", "arti": "Keusangan"},
      {"kanji": "古い", "furigana": "ふるい", "arti": "Tua"},
      {"kanji": "古本", "furigana": "ふるほん", "arti": "Buku Bekas"},
      {"kanji": "中古", "furigana": "ちゅうこ", "arti": "Barang Bekas"},
    ],
  },
  {
    "judul": "近",
    "nama": "Dekat",
    "kunyomi": ["ちかい"],
    "onyomi": ["きん"],
    "kanjiGabungan": [
      {"kanji": "近く", "furigana": "ちかく", "arti": "Sekitar"},
      {"kanji": "近い", "furigana": "ちかい", "arti": "Dekat"},
      {"kanji": "近日", "furigana": "きんじつ", "arti": "Dalam Waktu Dekat"},
      {"kanji": "近所", "furigana": "きんじょ", "arti": "Tetangga"},
    ],
  },
  {
    "judul": "遠",
    "nama": "Jauh",
    "kunyomi": ["とおい"],
    "onyomi": ["えん"],
    "kanjiGabungan": [
      {"kanji": "遠く", "furigana": "とおく", "arti": "Kejauhan"},
      {"kanji": "遠い", "furigana": "とおい", "arti": "Jauh"},
      {"kanji": "遠足", "furigana": "えんそく", "arti": "Tamasya"},
      {"kanji": "遠方", "furigana": "えんぽう", "arti": "Tempat Jauh"},
    ],
  },
  {
    "judul": "明",
    "nama": "Terang",
    "kunyomi": ["あかるい"],
    "onyomi": ["めい"],
    "kanjiGabungan": [
      {"kanji": "明か", "furigana": "あか", "arti": "Jelas"},
      {"kanji": "明るい", "furigana": "あかるい", "arti": "Terang"},
      {"kanji": "明日", "furigana": "あした", "arti": "Besok"},
      {"kanji": "明確", "furigana": "めいかく", "arti": "Jelas"},
    ],
  },
  {
    "judul": "暗",
    "nama": "Gelap",
    "kunyomi": ["くらい"],
    "onyomi": ["あん"],
    "kanjiGabungan": [
      {"kanji": "暗がり", "furigana": "くらがり", "arti": "Kegelapan"},
      {"kanji": "暗い", "furigana": "くらい", "arti": "Gelap"},
      {"kanji": "暗示", "furigana": "あんじ", "arti": "Petunjuk Tersirat"},
      {"kanji": "暗黒", "furigana": "あんこく", "arti": "Kegelapan Mutlak"},
    ],
  },
  {
    "judul": "速",
    "nama": "Cepat",
    "kunyomi": ["はやい"],
    "onyomi": ["そく"],
    "kanjiGabungan": [
      {"kanji": "速さ", "furigana": "はやさ", "arti": "Kecepatan"},
      {"kanji": "速い", "furigana": "はやい", "arti": "Cepat"},
      {"kanji": "快速", "furigana": "かいそく", "arti": "Ekspres"},
      {"kanji": "速達", "furigana": "そくたつ", "arti": "Pengiriman Cepat"},
    ],
  },
  {
    "judul": "遅",
    "nama": "Lambat",
    "kunyomi": ["おそい"],
    "onyomi": ["ち"],
    "kanjiGabungan": [
      {"kanji": "遅さ", "furigana": "おそさ", "arti": "Kelambatan"},
      {"kanji": "遅い", "furigana": "おそい", "arti": "Lambat"},
      {"kanji": "遅刻", "furigana": "ちこく", "arti": "Terlambat"},
      {"kanji": "遅延", "furigana": "ちえん", "arti": "Penundaan"},
    ],
  },
  {
    "judul": "多",
    "nama": "Banyak",
    "kunyomi": ["おおい"],
    "onyomi": ["た"],
    "kanjiGabungan": [
      {"kanji": "多め", "furigana": "おおめ", "arti": "Lebih banyak"},
      {"kanji": "多い", "furigana": "おおい", "arti": "Banyak"},
      {"kanji": "多数", "furigana": "たすう", "arti": "Mayoritas"},
      {"kanji": "多様", "furigana": "たよう", "arti": "Beragam"},
    ],
  },
  {
    "judul": "少",
    "nama": "Sedikit",
    "kunyomi": ["すくない"],
    "onyomi": ["しょう"],
    "kanjiGabungan": [
      {"kanji": "少なめ", "furigana": "すくなめ", "arti": "Lebih sedikit"},
      {"kanji": "少ない", "furigana": "すくない", "arti": "Sedikit"},
      {"kanji": "少年", "furigana": "しょうねん", "arti": "Anak laki-laki"},
      {"kanji": "減少", "furigana": "げんしょう", "arti": "Penurunan"},
    ],
  },
  {
    "judul": "広",
    "nama": "Luas",
    "kunyomi": ["ひろい"],
    "onyomi": ["こう"],
    "kanjiGabungan": [
      {"kanji": "広さ", "furigana": "ひろさ", "arti": "Luas"},
      {"kanji": "広い", "furigana": "ひろい", "arti": "Luas"},
      {"kanji": "広告", "furigana": "こうこく", "arti": "Iklan"},
      {"kanji": "広場", "furigana": "ひろば", "arti": "Alun-alun"},
    ],
  },
  {
    "judul": "狭",
    "nama": "Sempit",
    "kunyomi": ["せまい"],
    "onyomi": ["きょう"],
    "kanjiGabungan": [
      {"kanji": "狭さ", "furigana": "せまさ", "arti": "Kesempitan"},
      {"kanji": "狭い", "furigana": "せまい", "arti": "Sempit"},
      {"kanji": "狭苦しい", "furigana": "せまくるしい", "arti": "Sesak"},
      {"kanji": "狭量", "furigana": "きょうりょう", "arti": "Pikiran sempit"},
    ],
  },
  {
    "judul": "白",
    "nama": "Putih",
    "kunyomi": ["しろい"],
    "onyomi": ["はく"],
    "kanjiGabungan": [
      {"kanji": "白さ", "furigana": "しろさ", "arti": "Putih"},
      {"kanji": "白い", "furigana": "しろい", "arti": "Putih"},
      {"kanji": "白紙", "furigana": "はくし", "arti": "Kertas kosong"},
      {"kanji": "白昼", "furigana": "はくちゅう", "arti": "Siang bolong"},
    ],
  },
  {
    "judul": "黒",
    "nama": "Hitam",
    "kunyomi": ["くろい"],
    "onyomi": ["こく"],
    "kanjiGabungan": [
      {"kanji": "黒さ", "furigana": "くろさ", "arti": "Hitam"},
      {"kanji": "黒い", "furigana": "くろい", "arti": "Hitam"},
      {"kanji": "黒板", "furigana": "こくばん", "arti": "Papan tulis"},
      {"kanji": "黒猫", "furigana": "くろねこ", "arti": "Kucing hitam"},
    ],
  },
  {
    "judul": "赤",
    "nama": "Merah",
    "kunyomi": ["あかい"],
    "onyomi": ["せき"],
    "kanjiGabungan": [
      {"kanji": "赤さ", "furigana": "あかさ", "arti": "Kemerahan"},
      {"kanji": "赤い", "furigana": "あかい", "arti": "Merah"},
      {"kanji": "赤字", "furigana": "あかじ", "arti": "Defisit"},
      {"kanji": "赤ちゃん", "furigana": "あかちゃん", "arti": "Bayi"},
    ],
  },
  {
    "judul": "青",
    "nama": "Biru",
    "kunyomi": ["あおい"],
    "onyomi": ["せい"],
    "kanjiGabungan": [
      {"kanji": "青さ", "furigana": "あおさ", "arti": "Kebiruan"},
      {"kanji": "青い", "furigana": "あおい", "arti": "Biru"},
      {"kanji": "青空", "furigana": "あおぞら", "arti": "Langit biru"},
      {"kanji": "青春", "furigana": "せいしゅん", "arti": "Masa muda"},
    ],
  },
];
