final List<Map<String, dynamic>> detailTandokuList = [
  {
    "judul": "母",
    "nama": "Ibu",
    "kunyomi": ["はは"],
    "onyomi": ["ぼ"],
    "kanjiGabungan": [
      {"kanji": "母親", "furigana": "ははおや", "arti": "Ibu Kandung"},
      {"kanji": "母国", "furigana": "ぼこく", "arti": "Tanah Air"},
      {"kanji": "母校", "furigana": "ぼこう", "arti": "Alma Mater"},
      {"kanji": "父母", "furigana": "ふぼ", "arti": "Ayah dan Ibu"},
    ]
  },
  {
    "judul": "父",
    "nama": "Ayah",
    "kunyomi": ["ちち"],
    "onyomi": ["ふ"],
    "kanjiGabungan": [
      {"kanji": "父親", "furigana": "ちちおや", "arti": "Ayah"},
      {"kanji": "祖父", "furigana": "そふ", "arti": "Kakek"},
      {"kanji": "義父", "furigana": "ぎふ", "arti": "Ayah Mertua"},
      {"kanji": "父母", "furigana": "ふぼ", "arti": "Orang Tua"},
    ]
  },
  {
    "judul": "木",
    "nama": "Pohon",
    "kunyomi": ["き", "こ"],
    "onyomi": ["もく", "ぼく"],
    "kanjiGabungan": [
      {"kanji": "大木", "furigana": "たいぼく", "arti": "Pohon Besar"},
      {"kanji": "木刀", "furigana": "ぼくとう", "arti": "Pedang kayu"},
      {"kanji": "木材", "furigana": "もくざい", "arti": "Kayu Bangunan"},
      {"kanji": "木の上", "furigana": "きのうえ", "arti": "Di atas pohon"},
    ]
  },
  {
    "judul": "本",
    "nama": "Buku",
    "kunyomi": ["もと"],
    "onyomi": ["ほん"],
    "kanjiGabungan": [
      {"kanji": "日本", "furigana": "にほん", "arti": "Jepang"},
      {"kanji": "本屋", "furigana": "ほんや", "arti": "Toko Buku"},
      {"kanji": "本当", "furigana": "ほんとう", "arti": "Kebenaran"},
      {"kanji": "本気", "furigana": "ほんき", "arti": "Serius"},
    ]
  },
  {
    "judul": "水",
    "nama": "Air",
    "kunyomi": ["みず"],
    "onyomi": ["すい"],
    "kanjiGabungan": [
      {"kanji": "水曜日", "furigana": "すいようび", "arti": "Hari Rabu"},
      {"kanji": "水道", "furigana": "すいどう", "arti": "Saluran Air"},
      {"kanji": "水泳", "furigana": "すいえい", "arti": "Renang"},
      {"kanji": "水面", "furigana": "すいめん", "arti": "Permukaan Air"},
    ]
  },
  {
    "judul": "火",
    "nama": "Api",
    "kunyomi": ["ひ"],
    "onyomi": ["か"],
    "kanjiGabungan": [
      {"kanji": "火山", "furigana": "かざん", "arti": "Gunung Berapi"},
      {"kanji": "火事", "furigana": "かじ", "arti": "Kebakaran"},
      {"kanji": "火曜日", "furigana": "かようび", "arti": "Hari Selasa"},
      {"kanji": "火力", "furigana": "かりょく", "arti": "Daya Panas"},
    ]
  },
  {
    "judul": "風",
    "nama": "Angin",
    "kunyomi": ["かぜ"],
    "onyomi": ["ふう", "ふ"],
    "kanjiGabungan": [
      {"kanji": "台風", "furigana": "たいふう", "arti": "Topan"},
      {"kanji": "風邪", "furigana": "かぜ", "arti": "Flu"},
      {"kanji": "風速", "furigana": "ふうそく", "arti": "Kecepatan Angin"},
      {"kanji": "風景", "furigana": "ふうけい", "arti": "Pemandangan"},
    ]
  },
  {
    "judul": "目",
    "nama": "Mata",
    "kunyomi": ["め"],
    "onyomi": ["もく"],
    "kanjiGabungan": [
      {"kanji": "目標", "furigana": "もくひょう", "arti": "Tujuan"},
      {"kanji": "目的", "furigana": "もくてき", "arti": "Maksud"},
      {"kanji": "目次", "furigana": "もくじ", "arti": "Daftar Isi"},
      {"kanji": "一目", "furigana": "ひとめ", "arti": "Sekilas Pandang"},
    ]
  },
  {
    "judul": "日",
    "nama": "Hari",
    "kunyomi": ["ひ", "か"],
    "onyomi": ["にち", "じつ"],
    "kanjiGabungan": [
      {"kanji": "日本", "furigana": "にほん", "arti": "Jepang"},
      {"kanji": "日曜日", "furigana": "にちようび", "arti": "Hari Minggu"},
      {"kanji": "休日", "furigana": "きゅうじつ", "arti": "Hari Libur"},
      {"kanji": "日光", "furigana": "にっこう", "arti": "Cahaya Matahari"},
    ]
  },
  {
    "judul": "手",
    "nama": "Tangan",
    "kunyomi": ["て"],
    "onyomi": ["しゅ"],
    "kanjiGabungan": [
      {"kanji": "手紙", "furigana": "てがみ", "arti": "Surat"},
      {"kanji": "手首", "furigana": "てくび", "arti": "Pergelangan"},
      {"kanji": "上手", "furigana": "じょうず", "arti": "Mahir"},
      {"kanji": "下手", "furigana": "へた", "arti": "Tidak Mahir"},
    ]
  },
  {
    "judul": "森",
    "nama": "Hutan",
    "kunyomi": ["もり"],
    "onyomi": ["しん"],
    "kanjiGabungan": [
      {"kanji": "森林", "furigana": "しんりん", "arti": "Hutan Rimba"},
      {"kanji": "森閑", "furigana": "しんかん", "arti": "Keheningan"},
      {"kanji": "森の中", "furigana": "もりのなか", "arti": "Dalam Hutan"},
      {"kanji": "森園", "furigana": "もりぞの", "arti": "Kebun Luas"},
    ]
  },
  {
    "judul": "牛",
    "nama": "Sapi",
    "kunyomi": ["うし"],
    "onyomi": ["ぎゅう"],
    "kanjiGabungan": [
      {"kanji": "牛肉", "furigana": "ぎゅうにく", "arti": "Daging Sapi"},
      {"kanji": "牛乳", "furigana": "ぎゅうにゅう", "arti": "Susu Sapi"},
      {"kanji": "牛舎", "furigana": "ぎゅうしゃ", "arti": "Kandang Sapi"},
      {"kanji": "水牛", "furigana": "すいぎゅう", "arti": "Kerbau"},
    ]
  },
  {
    "judul": "国",
    "nama": "Negara",
    "kunyomi": ["くに"],
    "onyomi": ["こく"],
    "kanjiGabungan": [
      {"kanji": "外国", "furigana": "がいこく", "arti": "Negara Asing"},
      {"kanji": "中国", "furigana": "ちゅうごく", "arti": "Tiongkok"},
      {"kanji": "国会", "furigana": "こっかい", "arti": "Parlemen"},
      {"kanji": "国民", "furigana": "こくみん", "arti": "Warga Negara"},
    ]
  },
  {
    "judul": "山",
    "nama": "Gunung",
    "kunyomi": ["やま"],
    "onyomi": ["さん"],
    "kanjiGabungan": [
      {"kanji": "富士山", "furigana": "ふじさん", "arti": "Gunung Fuji"},
      {"kanji": "登山", "furigana": "とざん", "arti": "Mendaki Gunung"},
      {"kanji": "火山", "furigana": "かざん", "arti": "Gunung Berapi"},
      {"kanji": "山道", "furigana": "やまみち", "arti": "Jalan di Gunung"},
    ]
  },
  {
    "judul": "川",
    "nama": "Sungai",
    "kunyomi": ["かわ"],
    "onyomi": ["せん"],
    "kanjiGabungan": [
      {"kanji": "河川", "furigana": "かせん", "arti": "Sungai"},
      {"kanji": "小川", "furigana": "おがわ", "arti": "Anak Sungai"},
      {"kanji": "川辺", "furigana": "かわべ", "arti": "Tepi Sungai"},
      {"kanji": "川魚", "furigana": "かわざかな", "arti": "Ikan Air Tawar"},
    ]
  },
  {
    "judul": "人",
    "nama": "Orang",
    "kunyomi": ["ひと"],
    "onyomi": ["じん", "にん"],
    "kanjiGabungan": [
      {"kanji": "日本人", "furigana": "にほんじん", "arti": "Orang Jepang"},
      {"kanji": "人口", "furigana": "じんこう", "arti": "Populasi"},
      {"kanji": "大人", "furigana": "おとな", "arti": "Dewasa"},
      {"kanji": "老人", "furigana": "ろうじん", "arti": "Orang Tua (Lansia)"},
    ]
  },
  {
    "judul": "犬",
    "nama": "Anjing",
    "kunyomi": ["いぬ"],
    "onyomi": ["けん"],
    "kanjiGabungan": [
      {"kanji": "子犬", "furigana": "こいぬ", "arti": "Anak Anjing"},
      {"kanji": "番犬", "furigana": "ばんけん", "arti": "Anjing Penjaga"},
      {"kanji": "盲導犬", "furigana": "もうどうけん", "arti": "Anjing Pemandu"},
      {"kanji": "野犬", "furigana": "やけん", "arti": "Anjing Liar"},
    ]
  },
  {
    "judul": "月",
    "nama": "Bulan",
    "kunyomi": ["つき"],
    "onyomi": ["げつ", "がつ"],
    "kanjiGabungan": [
      {"kanji": "今月", "furigana": "こんげつ", "arti": "Bulan Ini"},
      {"kanji": "来月", "furigana": "らいげつ", "arti": "Bulan Depan"},
      {"kanji": "月曜日", "furigana": "げつようび", "arti": "Hari Senin"},
      {"kanji": "三日月", "furigana": "みかづき", "arti": "Bulan Sabit"},
    ]
  },
  {
    "judul": "雨",
    "nama": "Hujan",
    "kunyomi": ["あめ"],
    "onyomi": ["う"],
    "kanjiGabungan": [
      {"kanji": "大雨", "furigana": "おおあめ", "arti": "Hujan Lebat"},
      {"kanji": "小雨", "furigana": "こさめ", "arti": "Gerimis"},
      {"kanji": "梅雨", "furigana": "つゆ", "arti": "Musim Hujan"},
      {"kanji": "雨雲", "furigana": "あまぐも", "arti": "Awan Hujan"},
    ]
  },
  {
    "judul": "口",
    "nama": "Mulut",
    "kunyomi": ["くち"],
    "onyomi": ["こう"],
    "kanjiGabungan": [
      {"kanji": "出口", "furigana": "でぐち", "arti": "Pintu Keluar"},
      {"kanji": "入口", "furigana": "いりぐち", "arti": "Pintu Masuk"},
      {"kanji": "人口", "furigana": "じんこう", "arti": "Populasi"},
      {"kanji": "口調", "furigana": "くちょう", "arti": "Nada Bicara"},
    ]
  },
];
